Package org.eclipse.cdt.core.dom.ast.cpp

## Interface ICPPSpecialization

All Superinterfaces:
  `org.eclipse.core.runtime.IAdaptable`, `IBinding`, `ICPPBinding`

All Known Subinterfaces:
  `ICPPAliasTemplateInstance`, `ICPPClassSpecialization`, `ICPPClassTemplatePartialSpecializationSpecialization`, `ICPPConstructorSpecialization`, `ICPPDeferredTemplateInstance`, `ICPPEnumerationSpecialization`, `ICPPFunctionInstance`, `ICPPFunctionSpecialization`, `ICPPMethodSpecialization`, `ICPPTemplateInstance`, `ICPPTypeSpecialization`, `ICPPVariableInstance`

    public interface ICPPSpecialization
    extends ICPPBinding

For an instantiation of a class template, the members of that instantiation will be specializations of the members of the original class template. For an instantiation of a function template, the parameters will be specializations of the parameters of the original function template. Specializations can also be explicitly defined.

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`EMPTY_BINDING_ARRAY`

### Method Summary

All Methods Instance Methods Abstract Methods
`IBinding` `getSpecializedBinding()` Return the binding that this specialization specializes.
`ICPPTemplateParameterMap` `getTemplateParameterMap()` Returns the mapping of template parameters to values.

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`getLinkage, getName, getNameCharArray, getOwner, getScope`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPBinding

`getQualifiedName, getQualifiedNameCharArray, isGloballyQualified`

### Method Detail

#### getSpecializedBinding

    IBinding getSpecializedBinding()

Return the binding that this specialization specializes.

Returns:
  the original binding that this is a specialization of

#### getTemplateParameterMap

    ICPPTemplateParameterMap getTemplateParameterMap()

Returns the mapping of template parameters to values.

Since:
  5.1